package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.AntrianPasienDiPeriksa;
import com.jasamedika.medifirst2000.entities.Pasien;
import com.jasamedika.medifirst2000.entities.Ruangan;
import com.jasamedika.medifirst2000.helper.Caption;

public class PengkajianAwalBaruVO extends BaseTransactionVO{

	@Caption(value="KdPap")
	private String kdPap;
	
	@Caption(value="Tanggal Registrasi")
	private Date tglRegistrasi;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Object Ruangan Fk")
	private RuanganVO ruangan;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Object Pasien Fk")
	private PasienVO pasien;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Object No Registrasi")
	private AntrianPasienDiPeriksaVO noRegistrasi;
	
	public String getKdPap() {
		return kdPap;
	}

	public void setKdPap(String kdPap) {
		this.kdPap = kdPap;
	}

	public Date getTglRegistrasi() {
		return tglRegistrasi;
	}

	public void setTglRegistrasi(Date tglRegistrasi) {
		this.tglRegistrasi = tglRegistrasi;
	}

	public RuanganVO getRuangan() {
		return ruangan;
	}

	public void setRuangan(RuanganVO ruangan) {
		this.ruangan = ruangan;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public AntrianPasienDiPeriksaVO getNoRegistrasi() {
		return noRegistrasi;
	}

	public void setNoRegistrasi(AntrianPasienDiPeriksaVO noRegistrasi) {
		this.noRegistrasi = noRegistrasi;
	}

	
}
